#ifndef __exec__
# define __exec__

typedef enum {
        NO_CALL_ISSUED,
        BEGIN_ISSUED,
        CALL_ISSUED
} call_status_type;

extern unsigned    old_user_pc__, old_user_mod__, old_user_sb__;
extern unsigned    old_user_is__, old_user_us__;
extern reg_desc	    *call_link_regp__;
extern unsigned	    old_user_gen_reg__;
extern call_status_type    call_status__;
extern unsigned  trace_mode__, bin_stepped_pc__;
extern unsigned  step_count__;
extern unsigned  exec_mode__;
extern void g_decode__(/* cmd, response */);
extern void st_decode__(/* cmd, response */);
extern void js_decode__(/* cmd, response */);
extern void bal_decode__(/* cmd, response */);
extern void cx_decode__(/* cmd, response */);
extern void b_decode__(/* cmd, response */);
extern void return_to_user__(/* active_step_n */);
extern boolean check_step_n__();
#endif
